#
# spec file for package busybox (Version 0.60.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         busybox
Version:      0.60.1
Release:      27
Summary:      The Swiss Army Knife of Embedded Linux
Copyright:	GPL
Group:        Utilities/System 
Autoreqprov: on
Source:  busybox-%{version}.tar.bz2
Patch:   busybox-%{version}.dif
BuildRoot:	%{_tmppath}/busybox-%{version}

%description
BusyBox combines tiny versions of many common UNIX utilities into
a single small executable. It provides minimalist replacements for
most of the utilities you usually find in fileutils, shellutils,
findutils, textutils, grep, gzip, tar, etc. BusyBox provides a
fairly complete POSIX environment for any small or emdedded system.
The utilities in BusyBox generally have fewer options then their
full featured GNU cousins; however, the options that are included
provide the expected functionality and behave very much like their
GNU counterparts.

Authors:
--------
    Erik B. Andersen <andersee@debian.org>

SuSE series: ap

%prep
%setup -n busybox-%{version}
%patch

%build
make

%install
install -d $RPM_BUILD_ROOT/etc
install -d $RPM_BUILD_ROOT/usr/bin
install busybox.links $RPM_BUILD_ROOT/etc
install install.sh $RPM_BUILD_ROOT/usr/bin/busybox.install
install -d $RPM_BUILD_ROOT/usr/bin
install busybox $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/usr/share/man/man1
install -m 644 docs/BusyBox.1 $RPM_BUILD_ROOT/usr/share/man/man1

%files
%defattr(-,root,root)
%doc docs/* kernel-patches scripts tests bootfloppy
/usr/share/man/man1/BusyBox.1.gz
/usr/bin/busybox
/usr/bin/busybox.install
%config /etc/busybox.links

%changelog -n busybox
* Fri Aug 24 2001 - nashif@suse.de
- Update to version 0.60.1
- This is a relatively minor bug fixing release which fixes bugs
  in the following applets, among others: msh, sed, route, syslogd,
  ifconfig, lash
- Rewrite of tftp
* Sat Aug 04 2001 - nashif@suse.de
- Update to version 0.60.0
* Fri Jul 13 2001 - nashif@suse.de
- Update to version 0.52
* Wed Apr 11 2001 - nashif@suse.de
- Update to version 0.51
* Fri Feb 09 2001 - nashif@suse.de
- Fixed sync.c to compile
* Mon Feb 05 2001 - nashif@suse.de
- Update to version 0.49
* Wed Dec 20 2000 - uli@suse.de
- disabled insmod for all archs except IA32, ARM and SH
* Tue Dec 19 2000 - nashif@suse.de
- Update to 0.48 (Fixes many bugs)
* Mon Nov 27 2000 - nashif@suse.de
- Fixed pathes in install script
* Tue Nov 07 2000 - nashif@suse.de
- Added EM_486 and OPEN_MAX fixes
* Wed Sep 27 2000 - nashif@suse.de
- Update to 0.47
- Fix nfsmount.c
* Wed Aug 30 2000 - nashif@suse.de
- Fix for axp
* Mon Aug 28 2000 - nashif@suse.de
- Update to version 0.46
* Thu Jul 06 2000 - nashif@suse.de
- Fix install script (Bug #3195)
* Tue May 23 2000 - nashif@suse.de
- Initial Release (Version 0.43)
